package com.ozs.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @Author : sunhh
 * @create 2023/4/24 11:02
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BaseCameraVersion {
    /**
     * 摄像头系统参数
     */
    @TableField(exist = false)
    private List<BaseVersionCameraParam> baseVersionCameraParamList;

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 版本号
     */
    private String versionNum;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 升级类型 0.固件 1.算法 2:算法及硬件升级 3:摄像头系统参数
     */
    private String upgradeType;

    /**
     * 版本地址
     */
    private String versionAddress;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * md5值
     */
    private String md5;
}
