package com.ozs.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/4/25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CameraLogDetail implements Serializable {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联升级日志id
     */
    private Long logId;

    /**
     * 相机编码
     */
    @Excel(name = "相机编码", width = 30)
    private String cameraCode;

    /**
     * 序列号
     */
    @Excel(name = "序列号")
    @TableField(exist = false)
    private String cameraSn;

    /**
     * 升级状态
     */
    @Excel(name = "状态", readConverterExp = "1=升级成功,2=升级中,3=升级失败")
    private Integer status;

    /**
     * 上一版本号
     */
    @TableField(exist = false)
    @Excel(name = "上一版本号")
    private String lastVersionNum;

    /**
     * 当前版本号
     */
    @TableField(exist = false)
    @Excel(name = "当前版本号")
    private String currentVersionNum;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 升级失败原因failure_reason
     */
    @Excel(name = "升级失败原因")
    private String failureReason;
}
