package com.ozs.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import com.ozs.common.core.domain.BaseEntityExp;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/4/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CameraUpdateLog implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 版本ID
     */
    private Long versionId;

    /**
     * 版本号
     */
    private String versionNum;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 升级类型
     */
    private String upgradeType;

    /**
     * 升级类型字符串
     */
    @TableField(exist = false)
    private String upgradeTypeName;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建人名称
     */
    @TableField(exist = false)
    private String createByName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
