package com.ozs.service.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import com.ozs.service.entity.BaseVersionCameraParam;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author : sunhh
 * @create 2023/4/24 11:58
 */
@Data
public class BaseCameraVersionVo {
    private Long pageNum;
    private Long pageSize;

    /**
     * 摄像头系统参数
     */
    private List<BaseVersionCameraParam> baseVersionCameraParamList;

    /**
     * 相机编码
     */
    private List<String> cameraCodeList;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 版本号
     */
    private String versionNum;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 升级类型 0.固件 1.算法 2:算法及硬件升级 3:摄像头系统参数
     */
    private String upgradeType;
    private String upgradeTypename;

    /**
     * 版本地址
     */
    private String versionAddress;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * md5值
     */
    private String md5;
}
