package com.ozs.service.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Administrator
 * 设备状态
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DeviceStateResp extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer installMile;
    @Excel(name = "监控相机安装里程位置(单位KM)")
    private String installMileName;
    @Excel(name = "测点名称")
    private String measurePointName;
    @Excel(name = "线路名称")
    private String railwayName;
    @Excel(name = "所属工务段名称")
    private String deptName;
    @Excel(name = "行别")
    private String lineDir;
    @Excel(name = "相机状态")
    private String isDisable;
    @Excel(name = "电量（%）")
    private Integer electricity;
    @Excel(name = "相机编码")
    private String cameraCode;
    @Excel(name = "序列号")
    private String cameraSn;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最新的心跳时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date heartTime;
    @Excel(name = "线路类型",readConverterExp = "1=高铁,2=普铁")
    private Integer railwayType;
    private String railwayCode;
    private String deptId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
