package com.ozs.service.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 报警信息表
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Data
public class MsgAlarmResp implements Serializable {

    private static final long serialVersionUID = 1L;

    private long id;

    /**
     * web,app 唯一标识-uuid
     */
    private String pushId;

    /**
     * 报警 唯一标识-uuid
     */
    private String alarmId;

    /**
     * 线路名称
     */
    private String railwayName;

    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;

    /**
     * 报警行别(1上行2下行3上下行)
     */
    private Integer lineDir;
    private String lineDirStr;

    /**
     * 所属工务段编码(单位id)
     */
    private Long deptId;

    /**
     * 报警里程位置
     */
    private String alarmMile;
    /**
     * 通道编号
     */
    private String channel;


    /**
     * 里程范围
     */
    private String beginMile;

    /**
     * 监视相机经度纬度
     */
    private String installLongitude;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isLock;

    /**
     * 解除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date releasedTime;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /** 报警图片地址 */
    private List<String> imageUrls;

    /**
     * 所属工务段编码(单位名称)
     */
    private String deptName;

    /**
     * 解除报警类型1实报2误报
     */
    private Integer releasedType;

    /**
     * 解除原因
     */
    private String releasedReason;

    /**
     * 报警病害属性（可以给出泥石流的框定范围）
     */
    private String alarmAttr;

    /**
     * 报警内容
     */
    private String content;
    /**
     * 解除人真实姓名
     */
    private String releasedByName;

    /**
     * 解除报警类型名称   1实报2误报
     */
    private String releasedTypeName;

    /**
     * 报警置信度（百分比）
     */
    private Integer alarmConfidence;

    private String alarmAttrName;
    /**
     * 1已报警2未报警
     */
    private Integer failureToAlarm;

    /**
     * 测点名称
     */
    private String measurePointName;

    private String cardNum;

    private String cameraSn;

    private Integer isDisable;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date heartTime;

    private String electricity;

}
