package com.ozs.service.entity.vo;

import com.ozs.common.vo.PageVo;
import com.ozs.service.entity.BaseCameraManagement;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/6
 */
@Data
public class MsgAppPushVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    private String id;

    /**
     * 报警唯一标识
     */
    private String alarmId;
    /**
     * 线路名称
     */
    private String railwayName;
    /**
     * 线路类型
     */
    private Integer railwayType;

    /**
     * 报警行别(1上行2下行3上下行)
     */
    private Integer lineDir;

    /**
     * 报警里程位置
     */
    private String alarmMile;

    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;

    /**
     * 报警病害属性（可以给出泥石流的框定范围）
     */
    private String alarmAttr;

    /**
     * 报警图片地址
     */
    private String imageUrl;

    /**
     * 相机
     */
    private BaseCameraManagement baseCameraManagement;

    public BaseCameraManagement getBaseCameraManagement() {
        return baseCameraManagement;
    }

    public void setBaseCameraManagement(BaseCameraManagement baseCameraManagement) {
        this.baseCameraManagement = baseCameraManagement;
    }

    /**
     * 接收人
     */
    private String receiveBy;

    /**
     * 状态：1未读；2已读
     */
    private Integer status;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;
}
