package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.MsgAlarm;
import com.ozs.service.entity.MsgAlarmCloud;
import com.ozs.service.entity.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报警信息表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Mapper
public interface MsgAlarmCloudMapper extends BaseMapper<MsgAlarmCloud> {
    //报警数据详情
    List<AlarmStatisticVo> list(AlarmStatisticResVo alarmStatisticResVo);

    //报警数据详情导出数据集合
    List<AlarmStatisticDto> listDto(AlarmStatisticResVo alarmStatisticResVo);

    //报警月统计数据导出数据集合
    List<AlarmStatisticMonthDto> listDtoMonth(AlarmStatisticResVo alarmStatisticResVo);

    //报警月统计数据导出数据集合（天）
    List<AlarmStatisticMonthDto> listDtoDay(AlarmStatisticResVo alarmStatisticResVo);

    Integer selectCameraCode(@Param("cameraCode") String cameraCode);

    MsgAlarmCloud selectByCameraCode(@Param("cameraCode") String cameraCode);

    List<MsgAlarmCloud> selectMsgAlarmList(MsgAlarmVo msgAlarmVo);

    MsgAlarmCloud getByAlarmId(@Param("alarmId") String alarmId);

    Integer countMsg(MsgAlarmVo msgAlarmVo);

    Integer countJC(MsgAlarmVo msgAlarmVo);

    Integer countWJC(MsgAlarmVo msgAlarmVo);

    List<MsgAlarmCloud> queryAlarmInfoByAfterTenMinute();

    List<MsgAlarmCloud> selectMsgAlarmListHome(MsgAlarmVo msgAlarmVo);
}
