package com.ozs.service.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.service.entity.BaseCameraManagement;
import com.ozs.service.entity.MsgAlarm;
import com.ozs.service.entity.MsgAlarmCloud;
import com.ozs.service.entity.vo.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 报警信息表 服务类
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
public interface MsgAlarmCloudService extends IService<MsgAlarmCloud> {
    IPage<AlarmStatisticVo> list(AlarmStatisticResVo alarmStatisticResVo);

    IPage listToPage(List list, int pageNum, int pageSize);

    //web数据统计 报警月统计数据
    List<AlarmStatisticMonthDto> getCount(AlarmStatisticResVo alarmStatisticResVo);

    //web数据统计 报警月统计数据（天）
    List<AlarmStatisticMonthDto> getDayCount(AlarmStatisticResVo alarmStatisticResVo);

    //报警数据详情导出数据集合
    List<AlarmStatisticDto> exportExcel(AlarmStatisticResVo alarmStatisticResVo);

    /**
     * 通过相机编码查询未解除预警信息
     *
     * @param cameraCode
     * @return
     */
    MsgAlarmCloud selectByCameraCode(String cameraCode);

    IPage<MsgAlarmCloud> queryPage(MsgAlarmVo msgAlarmVo);

    MsgAlarmCloud getByAlarmId(String alarmId);

    Map<String, Integer> statisticsNum(MsgAlarmVo msgAlarmVo);

    Integer appAlarmNum(MsgAlarmVo msgAlarmVo);

    List<MsgAlarmCloud> msgAlarmList(MsgAlarmVo msgAlarmVo);

    List<MsgAlarmCloud> queryAlarmInfoByAfterTenMinute();

    IPage<MsgAlarmCloud> queryPageHome(MsgAlarmVo msgAlarmVo);

    void getNormalBaseCameraManagementsCache(String setType);

    void initializationCameraCache();

    BaseCameraManagement getBaseCameraManagementByCamereCode(String camereCode);

    AjaxResult alarmStatistics(MsgAlarmVo msgAlarmVo1);

    AjaxResult alarmCountSort(MsgAlarmVo msgAlarmVo);
}
