package com.ozs.service.utils;

import com.ozs.service.entity.vo.BaseCameraVO;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.connection.RedisConnectionFactory;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.serializer.Jackson2JsonRedisSerializer;
import org.springframework.data.redis.serializer.StringRedisSerializer;

/**
 * @author wyy
 * @subject
 * @creat 2024/3/7
 */
@Configuration
public class CustomRedisConfig {
    @Bean
    @SuppressWarnings("all")
    public RedisTemplate<String, BaseCameraVO> myObjectRedisTemplate(RedisConnectionFactory redisConnectionFactory) {
        RedisTemplate<String, BaseCameraVO> template = new RedisTemplate<String, BaseCameraVO>();
        template.setConnectionFactory(redisConnectionFactory);
        Jackson2JsonRedisSerializer jackson2JsonRedisSerializer = new Jackson2JsonRedisSerializer(BaseCameraVO.class);
        StringRedisSerializer stringRedisSerializer = new StringRedisSerializer();
        // key采用String的序列化方式
        template.setKeySerializer(stringRedisSerializer);
        // hash的key也采用String的序列化方式
        template.setHashKeySerializer(stringRedisSerializer);
        // value序列化方式采用jackson
        template.setValueSerializer(jackson2JsonRedisSerializer);
        // hash的value序列化方式采用jackson
        template.setHashValueSerializer(jackson2JsonRedisSerializer);
        template.afterPropertiesSet();
        return template;
    }
}