package com.ozs.web.core.init;

import com.ozs.common.core.text.StrFormatter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.concurrent.ThreadPoolExecutor;

@Component
@Slf4j
public class InitatialConfig implements ApplicationRunner {

    @Resource
    private ThreadPoolTaskExecutor threadPoolTaskExecutor;
    @Override
    public void run(ApplicationArguments args) throws Exception {
        ThreadPoolExecutor exector = threadPoolTaskExecutor.getThreadPoolExecutor();
        while (true) {
            if (threadPoolTaskExecutor.getActiveCount() > 0) {
                String threadMsg = StrFormatter.format("当前线程池核心线程数: {}, 最大线程数: {}, 当前线程池大小: {}, " +
                        "共收到任务数: {}, 完成任务数: {}, 活动线程数: {}, 等待任务数: {}",
                        new Object[] { exector.getCorePoolSize(), exector.getMaximumPoolSize(), exector.getPoolSize(), exector.getTaskCount(),
                                exector.getCompletedTaskCount(), exector.getActiveCount(), exector.getQueue().size() });
                log.debug(threadMsg);
            }
            // 延迟3秒打印一次
            Thread.sleep(3 * 1000);
        }
    }

}
